Summary: Displays where a particular program in your path is located
Name: which
Version: 2.20
Release: 1
License: GPLv3
Group: Applications/System
Source0: http://www.xs4all.nl/~carlo17/which/%{name}-%{version}.tar.gz
Source1: which2.sh
Source2: which2.csh
Url: http://www.xs4all.nl/~carlo17/which/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: /sbin/install-info, info

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.


%prep
%setup -q


%build
export CC="cc -qcpluscmt"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --disable-dependency-tracking

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
cp %{SOURCE1} %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/*

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%post
/sbin/install-info --quiet --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
exit 0


%preun
if [ $1 = 0 ]; then
   /sbin/install-info --quiet --info-dir=%{_infodir} --delete %{_infodir}/%{name}.info.gz
fi
exit 0


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING EXAMPLES README AUTHORS NEWS
%attr(0644,root,system) %{_sysconfdir}/profile.d/which2.*
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}.info.gz
/usr/linux/bin/*


%changelog
* Mon Jan 25 2010 Michael Perzl <michael@perzl.org> - 2.20-1
- first version for AIX5L v5.1 and higher
